ALTER TABLE `vms_adminblacklist` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_aktivierungen` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_bilanz` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_buchungen` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_crons` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_emaildaten` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_fb_blacklist` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_gebuchte_werbung` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_interface` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_kontodaten` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_multi_konten` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_news` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_paidmails_empfaenger` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_paidmails_versendet` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_rallydaten` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_rallyorte` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_rallyuser` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_reloads` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_schnittstelle` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_schnittstelle_anfragen` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_seitenkonfig` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_userblacklist` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_userdaten` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
ALTER TABLE `vms_werberdaten` DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;

ALTER TABLE `vms_adminblacklist` CHANGE `tan` `tan` VARCHAR(32) NOT NULL;
ALTER TABLE `vms_aktivierungen` CHANGE `ak` `ak` VARCHAR(32) NOT NULL DEFAULT '';
ALTER TABLE `vms_buchungen` CHANGE `buchungs_id` `buchungs_id` VARCHAR(14) NOT NULL DEFAULT '';
ALTER TABLE `vms_buchungen` CHANGE `verwendungszweck` `verwendungszweck` VARCHAR(40) NOT NULL DEFAULT '';
ALTER TABLE `vms_crons` CHANGE `cron` `cron` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `datei` `datei` VARCHAR(250) NOT NULL DEFAULT '', CHANGE `bezeichnung` `bezeichnung` VARCHAR(250) NOT NULL DEFAULT '';
ALTER TABLE `vms_emaildaten` CHANGE `emailadresse` `emailadresse` VARCHAR(100) NOT NULL DEFAULT '';
ALTER TABLE `vms_fb_blacklist` CHANGE `sponsor` `sponsor` VARCHAR(50) NOT NULL, CHANGE `werbeart` `werbeart` VARCHAR(100) NOT NULL;
ALTER TABLE `vms_gebuchte_werbung` CHANGE `tan` `tan` VARCHAR(32) NOT NULL DEFAULT '', CHANGE `ziel` `ziel` VARCHAR(250) NOT NULL DEFAULT '', CHANGE `banner` `banner` VARCHAR(250) NOT NULL DEFAULT '', CHANGE `sponsor` `sponsor` VARCHAR(25) NOT NULL DEFAULT '', CHANGE `werbeart` `werbeart` VARCHAR(50) NOT NULL DEFAULT '';
ALTER TABLE `vms_interface` CHANGE `interface` `interface` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `pass` `pass` VARCHAR(50) NOT NULL DEFAULT '';
ALTER TABLE `vms_kontodaten` CHANGE `passwort` `passwort` CHAR(32) NOT NULL, CHANGE `hinweis` `hinweis` LONGTEXT NOT NULL, CHANGE `login_ip` `login_ip` VARCHAR(15) NOT NULL DEFAULT '';
ALTER TABLE `vms_multi_konten` CHANGE `kontoid` `kontoid` VARCHAR(32) NOT NULL, CHANGE `waehrung` `waehrung` VARCHAR(32) NOT NULL;
ALTER TABLE `vms_news` CHANGE `titel` `titel` VARCHAR(60) NOT NULL DEFAULT '', CHANGE `news` `news` LONGTEXT NOT NULL;
ALTER TABLE `vms_paidmails_empfaenger` CHANGE `tan` `tan` VARCHAR(14) NOT NULL DEFAULT '';
ALTER TABLE `vms_paidmails_versendet` CHANGE `tan` `tan` VARCHAR(14) NOT NULL DEFAULT '', CHANGE `ziel` `ziel` VARCHAR(250) NOT NULL DEFAULT '', CHANGE `beschreibung` `beschreibung` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `mailtext` `mailtext` LONGTEXT NOT NULL;
ALTER TABLE `vms_rallydaten` CHANGE `name` `name` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `beschrieb` `beschrieb` LONGTEXT NOT NULL, CHANGE `status` `status` ENUM('aktive','deaktiviert') NOT NULL, CHANGE `ende_art` `ende_art` ENUM('punkt','zeit') NOT NULL DEFAULT 'zeit' COMMENT 'nach was die rally beendet wird', CHANGE `ende_punkte_anzahl` `ende_punkte_anzahl` VARCHAR(10) NOT NULL, CHANGE `ende_formulierung` `ende_formulierung` VARCHAR(50) NOT NULL DEFAULT '' COMMENT 'Was in der Seite für eine formulierung steht', CHANGE `ende_vortschritt` `ende_vortschritt` ENUM('Jeden Tag','Jede Woche','Jeden Monat','Jedes Jahr','datum') NOT NULL DEFAULT 'datum', CHANGE `gewinn_art` `gewinn_art` ENUM('statisch','dynamisch') NOT NULL DEFAULT 'statisch' COMMENT 'gewinntopf dynmaisch oder statisch', CHANGE `gewinn_dyn_steigerung` `gewinn_dyn_steigerung` VARCHAR(50) NOT NULL DEFAULT '0.00' COMMENT 'steigerung des gewinnes bei dynamisch', CHANGE `gewinner_anzahl` `gewinner_anzahl` ENUM('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24','25','26','27','28','29','30','31','32','33','34','35','36','37','38','39','40','41','42','43','44','45','46','47','48','49','50') NOT NULL DEFAULT '0', CHANGE `sperruser` `sperruser` VARCHAR(200) NOT NULL, CHANGE `einheit` `einheit` VARCHAR(50) NOT NULL;
ALTER TABLE `vms_rallyorte` CHANGE `name` `name` VARCHAR(50) NOT NULL, CHANGE `welche_rallys` `welche_rallys` VARCHAR(1000) NOT NULL;
ALTER TABLE `vms_rallyuser` CHANGE `rally` `rally` CHAR(20) NOT NULL DEFAULT '0';
ALTER TABLE `vms_reloads` CHANGE `ip` `ip` VARCHAR(15) NOT NULL DEFAULT '', CHANGE `tan` `tan` VARCHAR(32) NOT NULL DEFAULT '';
ALTER TABLE `vms_schnittstelle` CHANGE `betreiber_passwort` `betreiber_passwort` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `schnittstelle` `schnittstelle` VARCHAR(20) NOT NULL DEFAULT '', CHANGE `einzahltext` `einzahltext` VARCHAR(40) NOT NULL DEFAULT '', CHANGE `auszahltext` `auszahltext` VARCHAR(40) NOT NULL DEFAULT '', CHANGE `waehrung_name` `waehrung_name` VARCHAR(32) NOT NULL DEFAULT '0';
ALTER TABLE `vms_seitenkonfig` CHANGE `denied_domains` `denied_domains` TEXT NOT NULL, CHANGE `admin_name` `admin_name` VARCHAR(255) NOT NULL, CHANGE `admin_pass` `admin_pass` VARCHAR(255) NOT NULL;
ALTER TABLE `vms_userdaten` CHANGE `nickname` `nickname` VARCHAR(255) NOT NULL DEFAULT '', CHANGE `vorname` `vorname` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `nachname` `nachname` VARCHAR(50) NOT NULL DEFAULT '', CHANGE `notizen` `notizen` TEXT NOT NULL;

ALTER TABLE `vms_aktivierungen` ADD UNIQUE(`uid`);
ALTER TABLE `vms_buchungen` ADD UNIQUE( `uid`, `buchungszeit`, `buchungs_id`);
ALTER TABLE `vms_fb_blacklist` ADD UNIQUE( `sponsor`, `kid`, `werbeart`);
ALTER TABLE `vms_gebuchte_werbung` ADD UNIQUE(`tan`);
ALTER TABLE `vms_interface` ADD `id` TINYINT(1) NOT NULL AUTO_INCREMENT FIRST, ADD PRIMARY KEY (`id`);
ALTER TABLE `vms_multi_konten` ADD UNIQUE( `uid`, `waehrung`);
ALTER TABLE `vms_paidmails_empfaenger` ADD UNIQUE( `uid`, `gueltig`, `tan`);
ALTER TABLE `vms_reloads` ADD UNIQUE( `uid`, `tan`);
ALTER TABLE `vms_reloads` ADD UNIQUE( `ip`, `tan`);
ALTER TABLE `vms_seitenkonfig` ADD `version` VARCHAR(10) NOT NULL FIRST, ADD UNIQUE `version` (`version`);
UPDATE `vms_seitenkonfig` SET `version` = '2.5.2' WHERE `vms_seitenkonfig`.`version` = '';

CREATE TABLE `vms_migrations` (
  `id` int(1) UNSIGNED NOT NULL,
  `type` enum('other','database','script') NOT NULL,
  `value` varchar(100) NOT NULL COMMENT 'migration file name',
  `date` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
ALTER TABLE `vms_migrations` ADD UNIQUE KEY `id` (`id`);
ALTER TABLE `vms_migrations` MODIFY `id` int(1) UNSIGNED NOT NULL AUTO_INCREMENT;

INSERT INTO `vms_migrations` (`type`, `value`, `date`) VALUES ('database', '2.5.2-20160410-change_db_to_utf8.sql', '2016-04-10 21:00:00');



















